noir = Color.new (0,0,0)
jaune = Color.new (255,255,0)
rouge = Color.new (255,0,0)
legende = "Legend: Red = Titles / Yellow = Explanations"
aide = "Navigation: Start = menu, L = precedent and R = following"
dezo = "Sorry, we do not know"
dezo2 = "a solution to this error code."
dezo3 = "If you had this code, go to"
dezo4 = "Options section and enter the"
dezo5 = "heading Errors in the section"
dezo6 = "(X to go there now)"

while true do
screen:clear()
pad=Controls.read()

screen:blit(0,0,fond_en)
screen:print(60,1,legende,noir)
screen:print(15,10,aide,noir)
screen:print(420,260,page,rouge)

screen:print(80,50,"Error code:",rouge)
screen:print(95,60,num,jaune)

screen:print(80,80,"Meaning:",rouge)
screen:print(95,90,trad,jaune)

screen:print(80,110,"Solution:",rouge)
screen:print(95,120,solu,jaune)

if solu == "" then
screen:blit(0,0,fond_en)
screen:print(60,1,legende,noir)
screen:print(15,10,aide,noir)
screen:print(420,260,page,rouge)

screen:print(80,50,"Error code:",rouge)
screen:print(95,60,num,jaune)

screen:print(80,110,"Meaning:",rouge)
screen:print(95,120,trad,jaune)

screen:print(80,170,"Solution:",rouge)
screen:print(95,180,dezo,jaune)
screen:print(95,190,dezo2,jaune)
screen:print(95,200,dezo3,jaune)
screen:print(95,210,dezo4,jaune)
screen:print(95,220,dezo5,jaune)
screen:print(95,230,dezo6,jaune)
if pad:cross() then
screen.flip()
screen.waitVblankStart(7)
dofile("erreuroption_en.lua")
end
end

if pad:l() then
name = m
dofile("database_en.lua")
end

if pad:r() then
name = p
dofile("database_en.lua")
end


if pad:start() then
screen.flip()
screen.waitVblankStart(7) 
dofile("menu_en.lua")
end
if pad:circle() then
screen.flip()
screen.waitVblankStart(7)
dofile("recherche_en.lua")
end

screen.flip()
screen.waitVblankStart(7) 
end
